#!/bin/bash

set -e

cd $ROCM_REL_DIR
wget https://github.com/ROCm/ROCdbgapi/archive/rocm-$PKGVER.tar.gz
tar xf ROCdbgapi-$LDIR.tar.gz
rm -rf $ROCM_BUILD_DIR/rocdbgapi
mkdir -p $ROCM_BUILD_DIR/rocdbgapi
cd $ROCM_BUILD_DIR/rocdbgapi

DEST=$OUTPUT/package-rocdbgapi
PRGNAM=ROCdbgapi
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
BUILD=1
rm -rf $DEST

pushd .

cmake \
    -Wno-dev \
    -D CMAKE_BUILD_TYPE=Release \
    -D CMAKE_INSTALL_PREFIX=${ROCM_INSTALL_DIR} \
    $ROCM_REL_DIR/ROCdbgapi-$LDIR

cmake --build . $NUMJOBS
DESTDIR=$DEST cmake --install . --strip

mkdir -p $DEST/install
cat >> $DEST/install/slack-desc << 'END'
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.
# Line up the first '|' above the ':' following the base package name, and
# the '|' on the right side marks the last column you can put a character in.
# You must make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':' except on otherwise blank lines.

           |-----handy-ruler------------------------------------------------------|
rocm-dbgapi: ROCdbgapi (AMD Debugger API (ROCdbgapi))
rocm-dbgapi:
rocm-dbgapi: The AMD Debugger API is a library that provides all the support 
rocm-dbgapi: necessary for a debugger and other tools to perform low level control
rocm-dbgapi: of the execution and inspection of execution state of AMDs 
rocm-dbgapi: commercially available GPU architectures.
rocm-dbgapi:
rocm-dbgapi:
rocm-dbgapi:
rocm-dbgapi:
rocm-dbgapi:
END

cd $DEST
makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-${BUILD}$TAG.txz

popd

